Loading...
Searching...
No Matches
Opm::Accelerator::openclPreconditioner< Scalar, block_size > Class Template Reference
Inheritance diagram for Opm::Accelerator::openclPreconditioner< Scalar, block_size >:

## Public Member Functions

virtual void | setOpencl (std::shared_ptr< cl::Context > &context, std::shared_ptr< cl::CommandQueue > &queue)
Public Member Functions inherited from Opm::Accelerator::Preconditioner< Scalar, block_size, cl::Buffer >
virtual void | apply (const cl::Buffer &y, cl::Buffer &x, WellContributions< Scalar > &wellContribs)=0
virtual bool | analyze_matrix (BlockedMatrix< Scalar > *mat)=0
virtual bool | create_preconditioner (BlockedMatrix< Scalar > *mat)=0

## Static Public Member Functions

static std::unique_ptr< openclPreconditioner< Scalar, block_size > > | create (PreconditionerType type, int verbosity, bool opencl_ilu_parallel)
Static Public Member Functions inherited from Opm::Accelerator::Preconditioner< Scalar, block_size, cl::Buffer >
static std::unique_ptr< Preconditioner > | create (PreconditionerType type, bool opencl_ilu_parallel, int verbosity)

## Protected Member Functions

| openclPreconditioner (int verbosity_)
Protected Member Functions inherited from Opm::Accelerator::Preconditioner< Scalar, block_size, cl::Buffer >
| Preconditioner (int verbosity_)

## Protected Attributes

std::shared_ptr< cl::Context > | context
std::shared_ptr< cl::CommandQueue > | queue
std::vector< cl::Event > | events
cl_int | err
Protected Attributes inherited from Opm::Accelerator::Preconditioner< Scalar, block_size, cl::Buffer >
int | N
int | Nb
int | nnz
int | nnzb
int | verbosity

The documentation for this class was generated from the following files:

- opm/simulators/linalg/gpubridge/opencl/openclPreconditioner.hpp
- opm/simulators/linalg/gpubridge/opencl/openclPreconditioner.cpp